# Update SAML Federation user source Update a SAML federation user source. A valid environment token is required to call this endpoint. You can obtain it from the environment authentication route. Endpoint: PUT /resources/user-sources/v1/saml-federation/{id} Version: 1.0 Security: bearer ## Path parameters: - `id` (string, required) ## Request fields (application/json): - `name` (string) The user source name - `configuration` (object) User source configuration - `configuration.syncOnLogin` (boolean, required) Whether to sync user profile attributes on each login - `configuration.idpEntityId` (string, required) Entity ID of the external SAML IdP - `configuration.idpSsoUrl` (string, required) SSO URL for HTTP-Redirect binding - `configuration.idpCertificate` (string, required) IdP signing certificate in PEM format - `configuration.spEntityId` (string) SP Entity ID. Defaults to https://{vendorHost}/oauth/saml-federation/metadata - `configuration.spSigningCertificate` (string) SP signing certificate for signed AuthnRequests - `configuration.spSigningPrivateKey` (string) SP signing private key (encrypted) for signed AuthnRequests - `configuration.signAuthnRequest` (boolean) Whether to sign AuthnRequests - `configuration.attributeMapping` (object) Mapping of SAML attributes to user properties - `configuration.attributeMapping.email` (string) SAML attribute name for email Example: "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress" - `configuration.attributeMapping.name` (string) SAML attribute name for name Example: "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/name" - `configuration.wantAssertionsSigned` (boolean) Require signed assertions - `configuration.wantResponseSigned` (boolean) Require signed response - `configuration.tenantConfig` (any, required) - `index` (number) The user source index - `description` (string) The user source description ## Response 200 fields